com.corticon.rulesemf.canonicaltestmodel.ruletest.util

## Class RuletestSwitch

- java.lang.Object
- - com.corticon.rulesemf.canonicaltestmodel.ruletest.util.RuletestSwitch

-     public class RuletestSwitch
      extends java.lang.Object

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `RuletestPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `protected static RuletestPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuletestSwitch()` Creates an instance of the switch

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `caseRuletest(Ruletest object)` Returns the result of interpreting the object as an instance of 'Ruletest'
    `java.lang.Object` | `caseTestModelElement(TestModelElement object)` Returns the result of interpreting the object as an instance of 'Test Model Element'
    `java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
    `protected java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `protected java.lang.Object` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### modelPackage

          protected static RuletestPackage modelPackage

      The cached model package

  - ### Constructor Detail

    - #### RuletestSwitch

          public RuletestSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### doSwitch

          public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(int classifierID,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### caseRuletest

          public java.lang.Object caseRuletest(Ruletest object)

      Returns the result of interpreting the object as an instance of 'Ruletest'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Ruletest'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTestModelElement

          public java.lang.Object caseTestModelElement(TestModelElement object)

      Returns the result of interpreting the object as an instance of 'Test Model Element'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Test Model Element'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.